<?php
class ModelPaymentMercadopago2 extends Model {
  public function getMethod($address, $total) {
		$this->load->language('payment/mercadopago2');

		if ($this->config->get('mercadopago2_status')) {
      		$query = $this->db->query("SELECT * FROM " . DB_PREFIX . "zone_to_geo_zone WHERE geo_zone_id = '" . (int)$this->config->get('mercadopago2_geo_zone_id') . "' AND country_id = '" . (int)$address['country_id'] . "' AND (zone_id = '" . (int)$address['zone_id'] . "' OR zone_id = '0')");

          if ($this->config->get('mercadopago2_valor_minimo')&& $this->config->get('mercadopago2_valor_minimo') > $total) {
            $status = FALSE;
          } else if (!$this->config->get('mercadopago2_geo_zone_id')) {
        		$status = TRUE;
      		} elseif ($query->num_rows) {
      		  	$status = TRUE;
      		} else {
     	  		$status = FALSE;
			}
    } else {
			$status = FALSE;
		}

    if (ftr_geral::isIsset($this->config->get('mercadopago2_display')) && (!$this->ftrgeralregistry->exibeMuduloLayout($this->config->get('mercadopago2_display')))){
      $status = false;
    }

		$method_data = array();

		if ($status) {
      		$method_data = array(
        		'code'       => 'mercadopago2',
        		'title'      => ($this->config->get('mercadopago2_title')) ? $this->config->get('mercadopago2_title') : $this->language->get('text_title'),
						'sort_order' => $this->config->get('mercadopago2_sort_order')
      		);




    	}

    	return $method_data;
    }
}
